%TASK: estimates the water-side transfer velocity term dependent from 
%water current (w) and depth (z).

%CALCULUS:-----------------------------------------------------------------

function [kcurrent] = estimatekcurrent(w,zw,NSkcurrent)

%--------------------------------------------------------------------------
if isempty(w) || isempty(zw)
    kcurrent=0;
    
else
    switch NSkcurrent
        case 'OCD58'   %O'Connor & Dobbins (1958)
            kcurrent=1.719*sqrt(w./zw);                                    %cm/h
    end
end
